App\ContentBundle\Entity\FormItem:
  type: entity
  repositoryClass: App\ContentBundle\Repository\FormItemRepository
  table: content_form_item
  id:
    id:
      type: string
      unique: true
      generator:
        strategy: CUSTOM
      customIdGenerator:
        class: Ramsey\Uuid\Doctrine\UuidGenerator
  fields:
    date_col:
      type: string
      length: 10
      nullable: true
    time_col:
      type: string
      length: 10
      nullable: true
    prompt:
      type: string
      length: 255
      nullable: true
    presenter_name:
      type: string
      length: 100
      nullable: true
    description:
      type: text
      nullable: true
    sentence_part:
      type: string
      length: 255
      nullable: true
    default_value:
      type: blob
      nullable: true
    is_required:
      type: boolean
      default: false
      nullable: true
    max_value:
      type: integer
      default: 0
      nullable: true
    min_value:
      type: integer
      default: 0
      nullable: true
    is_active:
      type: boolean
      default: false
      nullable: true
    is_deleted:
      type: boolean
      default: false
      nullable: true
    additional_comments:
      type: boolean
      default: false
      nullable: true
    created_by:
      type: string
      length: 255
      nullable: true
    created_at:
      type: datetime
    updated_at:
      type: datetime
      mappedBy: content
  oneToMany:
    forms:
      targetEntity: FormItemForm
      mappedBy: form_item
      cascade: [ "persist", "remove" ]
    form_item_list:
      targetEntity: FormItemList
      mappedBy: form_item
      cascade: [ "persist", "remove" ]
    form_item_completed:
      targetEntity: FormItemCompleted
      mappedBy: form_item
      cascade: [ "persist", "remove" ]
  manyToOne:
    form_item_type:
      targetEntity: FormItemType
      joinColumn:
        name: form_item_type_id
        referencedColumnName: id
  lifecycleCallbacks:
    prePersist: [ setCreatedAtValue, setUpdatedAtValue ]
    preUpdate: [ setUpdatedAtValue ]